Update Service Request: Yardi REST
Betahttps://api.propexo.com/v1/service-requests/yardi_rest/:service_request_id| Interface | Method |
|---|---|
| Service Requests | /ItfServiceRequests/CreateOrEditServiceRequests |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
The Propexo unique identifier for the unit
The Propexo unique identifier for the resident
The Propexo unique identifier for the vendor
Whether or not the tenant has granted permission to enter the unit associated with the service request
A description of the service request
Possible values: <= 35 characters
Details about the service request
The date the service request was created
The category of service request
Show 5 enum values
ElectricalHVACOtherPlumbingServiceThe priority level associated with the service request
Show 5 enum values
HighLowMed24 hoursEmergencyThe raw status associated with the service request
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedResponse
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the service request
The Propexo unique identifier for the unit
The Propexo unique identifier for the resident
The Propexo unique identifier for the vendor
Whether or not the tenant has granted permission to enter the unit associated with the service request
A description of the service request
Possible values: <= 35 characters
Details about the service request
The date the service request was created
The category of service request
Show 5 enum values
ElectricalHVACOtherPlumbingServiceThe priority level associated with the service request
Show 5 enum values
HighLowMed24 hoursEmergencyThe raw status associated with the service request
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/service-requests/yardi_rest/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"access_is_authorized": true,
"service_description": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"unit_id": "string",
"resident_id": "string",
"vendor_id": "string",
"access_is_authorized": true,
"service_description": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_category": "Electrical",
"service_priority": "High",
"status_raw": "Assessment"
}
}